This is the multi-page printable view of this section. Click here to print.

Return to the regular view of this page.

Version API

View runtime version information.

    Method

    GET

    URL

    http://{Host Address}/version

    Query Parameters

    None

    Sample Request

    curl -X GET "http://<Host_address>/version"
         
    import requests
        
        url = "http://<Host_address>/version"
        response = requests.get(url, verify=False)
        
        print("Status code:", response.status_code)
        try:
            print("Response JSON:", response.json())
        except ValueError:
            print("Response Text:", response.text)
        
    URL: GET `http: //<Host_address>/version`

    Sample Response

    {
      "version": "2.0.0",
      "buildVersion": "2.0.0.374.8047721c"
    }

    Response Fields Description

    NameDescription
    versionSemantic version of Data Discovery in the MAJOR.MINOR.PATCH format.
    buildVersionFull build version string in the MAJOR.MINOR.PATCH.BUILD.COMMITHASH format.

    Response Codes

    CodeDescription
    200Version information retrieved successfully.